%define name fdutils
%define version 5.4
%define release 2mdk

Summary: Programs for dealing with floppy disks
Name: %{name}
Version: %{version}
Release: %{release}
Source:	ftp://linux.wauug.org/pub/knaff/fdutils/%{name}-%{version}.tar.bz2
Patch0: fdutils-manpages.patch.bz2
Copyright: GPL
Group: System/Kernel and hardware
ExclusiveOS: Linux
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
This package contains utilities for configuring and debugging the
Linux floppy driver, for formatting extra capacity disks (up to 1992K
on a high density disk), for sending raw commands to the floppy
controller, etc.

NOTE:
This package contains files which supercede corresponding versions
in the man-pages and util-linux packages.  Therefore, the --replacefiles
(or --force) option to rpm may be needed to install this package.

%changelog
* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.4-2mdk
- BM
- use some macros

* Sat Jul 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.4-1mdk
- 5.4.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.3-11mdk
- Fix buffer overvlow in fdmount (Yoann).

* Mon May 15 2000 Anton Graham <darkimage@bigfoot.com> 5.3.10mdk
- Add % post and % preun
- Use % {_tmppath}
- Spec-helper cleanup

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 5.3-9mdk
- Fix rpm group and spec-helper issues

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed build as non-root

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Fix up release number

* Wed Jul  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 5.3 version.
- Rewriting the .spec to be more Mandrake ;-)

* Sun Nov 29 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-4]
- Fix to be built by non-root
- Add conflict note in %desrciption

* Wed Apr 15 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-3]
- Use buildroot

%prep
%setup
%patch0 -p1

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man4}/
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}

%makeinstall UID=$(id -u) GID=$(id -g) 

cp src/mediaprm $RPM_BUILD_ROOT/%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -z "$DURING_INSTALL" ]; then
  %_install_info fdutils.info 
fi

%preun
if [ -z "$DURING_INSTALL" ]; then
  %_remove_install_info  fdutils.info
fi

%files
%defattr(644,root,root,-)
%config %{_sysconfdir}/mediaprm
%attr(755,root,floppy) %{_bindir}/xdfcopy
%attr(755,root,floppy) %{_bindir}/floppycontrol
%attr(755,root,floppy) %{_bindir}/floppymeter
%attr(755,root,floppy) %{_bindir}/superformat
%attr(755,root,floppy) %{_bindir}/getfdprm
%attr(755,root,floppy) %{_bindir}/MAKEFLOPPIES
%attr(755,root,floppy) %{_bindir}/fdrawcmd
%attr(4750,root,floppy) %{_bindir}/fdmount
%attr(-,root,floppy) %{_bindir}/fdumount
%attr(-,root,floppy) %{_bindir}/xdfformat
%attr(-,root,floppy) %{_bindir}/fdlist
%attr(-,root,floppy) %{_bindir}/fdmountd
%attr(-,root,root) %{_mandir}/man1/*.1.*
%{_mandir}/man4/fd.4.*
%{_infodir}/*
